path: /build/build/gtest-dev-cpp-1.9.0_pre20190607.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-test" emerge dev-cpp/gtest -pv -t && \
    USE="-test" emerge -j ${JOBS} --nodeps dev-cpp/gtest
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/gtest && luet-portage --dir /pkgdir/gtest
    dev-cpp/gtest && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:718c47ce4b97f900b53b5493435e7fa6647bc912dea23f8139a577df86bc921a
  package:
    name: gtest
    version: 1.9.0_pre20190607
    category: dev-cpp
    use_flags:
    - -test
    requires:
    - name: macaroni-funtoo-race17
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Google C++ Testing Framework
    uri:
    - https://github.com/google/googletest
    license: BSD
    buildtimestamp: 2023-10-06 12:36:50.96147208 +0000 UTC m=+130.371045402
    labels:
      BDEPEND: dev-util/ninja >=dev-util/cmake-3.9.6
      DEPEND: test? ( || ( >=dev-lang/python-2.7.5-r2:2.7 ) )
      IUSE: doc examples test abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64
        abi_mips_o32 abi_s390_32 abi_s390_64
      RDEPEND: '!dev-cpp/gmock'
      emerge.packages: dev-cpp/gtest
      kit: dev-kit
      original.package.name: dev-cpp/gtest
      original.package.slot: "0"
      original.package.version: 1.9.0_pre20190607
    treedir: /build/packages
  package_dir: /pkgdir/gtest
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 6eced6279a323e054387b61a825b4bf153af2c82145e45ef1432eb72bfbc1026
compressiontype: zstd
files:
- usr/include/gmock/gmock-actions.h
- usr/include/gmock/gmock-cardinalities.h
- usr/include/gmock/gmock-function-mocker.h
- usr/include/gmock/gmock-generated-actions.h
- usr/include/gmock/gmock-generated-actions.h.pump
- usr/include/gmock/gmock-generated-function-mockers.h
- usr/include/gmock/gmock-generated-function-mockers.h.pump
- usr/include/gmock/gmock-generated-matchers.h
- usr/include/gmock/gmock-generated-matchers.h.pump
- usr/include/gmock/gmock-matchers.h
- usr/include/gmock/gmock-more-actions.h
- usr/include/gmock/gmock-more-matchers.h
- usr/include/gmock/gmock-nice-strict.h
- usr/include/gmock/gmock-spec-builders.h
- usr/include/gmock/gmock.h
- usr/include/gmock/internal/custom/README.md
- usr/include/gmock/internal/custom/gmock-generated-actions.h
- usr/include/gmock/internal/custom/gmock-generated-actions.h.pump
- usr/include/gmock/internal/custom/gmock-matchers.h
- usr/include/gmock/internal/custom/gmock-port.h
- usr/include/gmock/internal/gmock-internal-utils.h
- usr/include/gmock/internal/gmock-port.h
- usr/include/gmock/internal/gmock-pp.h
- usr/include/gtest/gtest-death-test.h
- usr/include/gtest/gtest-matchers.h
- usr/include/gtest/gtest-message.h
- usr/include/gtest/gtest-param-test.h
- usr/include/gtest/gtest-printers.h
- usr/include/gtest/gtest-spi.h
- usr/include/gtest/gtest-test-part.h
- usr/include/gtest/gtest-typed-test.h
- usr/include/gtest/gtest.h
- usr/include/gtest/gtest_pred_impl.h
- usr/include/gtest/gtest_prod.h
- usr/include/gtest/internal/custom/README.md
- usr/include/gtest/internal/custom/gtest-port.h
- usr/include/gtest/internal/custom/gtest-printers.h
- usr/include/gtest/internal/custom/gtest.h
- usr/include/gtest/internal/gtest-death-test-internal.h
- usr/include/gtest/internal/gtest-filepath.h
- usr/include/gtest/internal/gtest-internal.h
- usr/include/gtest/internal/gtest-param-util.h
- usr/include/gtest/internal/gtest-port-arch.h
- usr/include/gtest/internal/gtest-port.h
- usr/include/gtest/internal/gtest-string.h
- usr/include/gtest/internal/gtest-type-util.h
- usr/include/gtest/internal/gtest-type-util.h.pump
- usr/lib64/cmake/GTest/GTestConfig.cmake
- usr/lib64/cmake/GTest/GTestConfigVersion.cmake
- usr/lib64/cmake/GTest/GTestTargets-gentoo.cmake
- usr/lib64/cmake/GTest/GTestTargets.cmake
- usr/lib64/libgmock.so
- usr/lib64/libgmock_main.so
- usr/lib64/libgtest.so
- usr/lib64/libgtest_main.so
- usr/lib64/pkgconfig/gmock.pc
- usr/lib64/pkgconfig/gmock_main.pc
- usr/lib64/pkgconfig/gtest.pc
- usr/lib64/pkgconfig/gtest_main.pc
- usr/share/doc/gtest-1.9.0_pre20190607/README.md.bz2
- var/db/pkg/dev-cpp/gtest-1.9.0_pre20190607/BDEPEND
- var/db/pkg/dev-cpp/gtest-1.9.0_pre20190607/BUILD_TIME
- var/db/pkg/dev-cpp/gtest-1.9.0_pre20190607/CATEGORY
- var/db/pkg/dev-cpp/gtest-1.9.0_pre20190607/CBUILD
- var/db/pkg/dev-cpp/gtest-1.9.0_pre20190607/CFLAGS
- var/db/pkg/dev-cpp/gtest-1.9.0_pre20190607/CHOST
- var/db/pkg/dev-cpp/gtest-1.9.0_pre20190607/CONTENTS
- var/db/pkg/dev-cpp/gtest-1.9.0_pre20190607/COUNTER
- var/db/pkg/dev-cpp/gtest-1.9.0_pre20190607/CXXFLAGS
- var/db/pkg/dev-cpp/gtest-1.9.0_pre20190607/DEFINED_PHASES
- var/db/pkg/dev-cpp/gtest-1.9.0_pre20190607/DESCRIPTION
- var/db/pkg/dev-cpp/gtest-1.9.0_pre20190607/EAPI
- var/db/pkg/dev-cpp/gtest-1.9.0_pre20190607/FEATURES
- var/db/pkg/dev-cpp/gtest-1.9.0_pre20190607/HOMEPAGE
- var/db/pkg/dev-cpp/gtest-1.9.0_pre20190607/INHERITED
- var/db/pkg/dev-cpp/gtest-1.9.0_pre20190607/IUSE
- var/db/pkg/dev-cpp/gtest-1.9.0_pre20190607/IUSE_EFFECTIVE
- var/db/pkg/dev-cpp/gtest-1.9.0_pre20190607/KEYWORDS
- var/db/pkg/dev-cpp/gtest-1.9.0_pre20190607/LDFLAGS
- var/db/pkg/dev-cpp/gtest-1.9.0_pre20190607/LICENSE
- var/db/pkg/dev-cpp/gtest-1.9.0_pre20190607/NEEDED
- var/db/pkg/dev-cpp/gtest-1.9.0_pre20190607/PF
- var/db/pkg/dev-cpp/gtest-1.9.0_pre20190607/PROVIDES
- var/db/pkg/dev-cpp/gtest-1.9.0_pre20190607/RDEPEND
- var/db/pkg/dev-cpp/gtest-1.9.0_pre20190607/REQUIRES
- var/db/pkg/dev-cpp/gtest-1.9.0_pre20190607/SIZE
- var/db/pkg/dev-cpp/gtest-1.9.0_pre20190607/SLOT
- var/db/pkg/dev-cpp/gtest-1.9.0_pre20190607/USE
- var/db/pkg/dev-cpp/gtest-1.9.0_pre20190607/environment.bz2
- var/db/pkg/dev-cpp/gtest-1.9.0_pre20190607/gtest-1.9.0_pre20190607.ebuild
- var/db/pkg/dev-cpp/gtest-1.9.0_pre20190607/repository
package_cacheimage: ""
runtime:
  name: gtest
  version: 1.9.0_pre20190607
  category: dev-cpp
  use_flags:
  - -test
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Google C++ Testing Framework
  uri:
  - https://github.com/google/googletest
  license: BSD
  labels:
    BDEPEND: dev-util/ninja >=dev-util/cmake-3.9.6
    DEPEND: test? ( || ( >=dev-lang/python-2.7.5-r2:2.7 ) )
    IUSE: doc examples test abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64
      abi_mips_o32 abi_s390_32 abi_s390_64
    RDEPEND: '!dev-cpp/gmock'
    emerge.packages: dev-cpp/gtest
    kit: dev-kit
    original.package.name: dev-cpp/gtest
    original.package.slot: "0"
    original.package.version: 1.9.0_pre20190607
